#
# spec file for package python3-fixtures
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-fixtures
Version:        3.0.0
Release:        3.1
Summary:        Fixtrues, reusable state for writing clean tests and more
License:        Apache-2.0 or BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://launchpad.net/python-fixtures
Source:         https://files.pythonhosted.org/packages/source/f/fixtures/fixtures-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
# Causes dependency loop
# BuildRequires:  python3-testtools >= 0.9.22
Requires:       python3-mock
Requires:       python3-pbr
Requires:       python3-testtools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing. Helper and adaption logic is included to make it
easy to write your own fixtures using the fixtures contract. Glue code is
provided that makes using fixtures that meet the Fixtures contract in unittest
compatible test cases easy and straight forward.

%prep
%setup -q -n fixtures-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Unit tests introduce dependency loop with python3-testtools
# %check
# python3 -m testtools.run discover

%files
%defattr(-,root,root,-)
%doc Apache-2.0 BSD COPYING NEWS README
%{python3_sitelib}/*

%changelog
* Sun May 29 2016 arun@gmx.de
- update to version 3.0.0:
  * Monkeypatching of callables has been thoroughly overhauled: there
    were deep flaws in usability because staticmethod and classmethods
    are actually descriptors. (Andrew Laski, Robert Collins)
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sat Apr  9 2016 arun@gmx.de
- update to version 2.0.0:
  * Monkeypatching of staticmethod's now works correctly on Python 2
    and 3.  This is an API break as previously they were bound as
    instancemethods's and thus any working patches need to have their
    first parameter (self) dropped. (Andrew Laski)
  * New class "CompoundFixture" added, allowing fixtures to be
    combined.  (Jonathan Lange)
  * Support for Python 3.2 dropped (as pip and setuptools have).
    (Robert Collins)
* Wed Mar 16 2016 toddrme2178@gmail.com
- Break dependency loop with python3-testtools by disabling
  unit tests.
* Sun Oct 18 2015 arun@gmx.de
- specfile:
  * add mock requirement
- update to version 1.4.0:
  * "fixtures" now has CI testing via Travis, no more manual work.
    (Robert Collins)
  * "mock" is used in preference to "unittest.mock" now, as the
    rolling backport has significant bugfixes over older but still
    supported CPython stdlib versions. (Robert Collins)
  * "fixtures.FakeLogger" now detects incorrectly formatted log
    messages.  (John Villalovos, #1503049)
* Tue Jun 30 2015 arun@gmx.de
- update to version 1.3.1:
  * Clarify the intent around _setUp
  * Handle BaseException resource leaks as well
- changes from version 1.3.0:
  * Remove trailing whitespace
  * Deal with resource leaks during setUp
  * Missed NEWS entry
  * Fine tune the mock patch
  * Add a new mockpatch fixture
  * Document where the project home and source are
  * Ignore built things
* Sat May  9 2015 arun@gmx.de
- update to version 1.2.0:
  * Add warnings module fixture for capturing warnings. (Joshua
    Harlow)
- changes from version 1.1.0:
  * FakeLogger now supports a custom formatter. (Sean Dague)
  * Fixed test performance on Python 3.5. PEP 475 led to
    "time.sleep()" not being interrupted when a received signal
    handler eats the signal (rather than raising an
    exception). (Robert Collins)
  * "tox.ini" added, for folk that use tox. (Sean Dague)
* Sat Jan 17 2015 arun@gmx.de
- specfile:
  * update copyright year
  * add setuptools, pbr to build requirements
- update to version 1.0.0:
  * Fix incorrect entry_point. (Gabi Davar)
- changes from version 0.3.17:
  * FakeLogger now supports the "datefmt" parameter.
    (Sean Dague)
  * Fixtures source code is now hosted on
    `github <https://github.com/testing-cabal/fixtures>`_.
    (Robert Collins)
- changes from version 0.3.16:
  * Fixed 0.3.15 on Python 2.6 - version info is a plain tuple there.
    (Robert Collins)
- changes from version 0.3.15:
  * "FakePopen" now supports being called under a context manager (IE: with).
    (Steve Kowalik)
  * "FakeProcess" now supports kill(). (Steve Kowalik)
  * "FakeProcess" wait() now supports arguments added in Python 3.
    (Steve Kowalik)
  * "MonkeyPatch" now preserves "staticmethod" functions.
    (Dan Kenigsberg)
* Tue Feb 18 2014 cfarrell@suse.com
- license update: Apache-2.0 or BSD-3-Clause
  The operator is ^or^ not ^and^ as this is a license choice - not an
  aggregation
* Fri Feb 14 2014 speilicke@suse.com
- Initial version
